<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: encryption Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">encryption Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="encrypt_8h_source.html">encrypt.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae447007bf70e69f8570be04ad882a00c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html#ae447007bf70e69f8570be04ad882a00c">method</a></td></tr>
<tr class="separator:ae447007bf70e69f8570be04ad882a00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5447b7a42e44bad296e7088df8b5668"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html#aa5447b7a42e44bad296e7088df8b5668">key</a> [1024]</td></tr>
<tr class="separator:aa5447b7a42e44bad296e7088df8b5668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb17bb7036f070738ba589bd83bb487a"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html#abb17bb7036f070738ba589bd83bb487a">string</a> [1024]</td></tr>
<tr class="separator:abb17bb7036f070738ba589bd83bb487a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab74a06dd524298d1cb204b4fb596515f"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html#ab74a06dd524298d1cb204b4fb596515f">encrypted</a> [1024]</td></tr>
<tr class="separator:ab74a06dd524298d1cb204b4fb596515f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b913c25119a5f9062c320e2137648cd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html#a9b913c25119a5f9062c320e2137648cd">isAPath</a></td></tr>
<tr class="separator:a9b913c25119a5f9062c320e2137648cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab74a06dd524298d1cb204b4fb596515f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab74a06dd524298d1cb204b4fb596515f">&#9670;&nbsp;</a></span>encrypted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char encryption::encrypted[1024]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b913c25119a5f9062c320e2137648cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b913c25119a5f9062c320e2137648cd">&#9670;&nbsp;</a></span>isAPath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int encryption::isAPath</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5447b7a42e44bad296e7088df8b5668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5447b7a42e44bad296e7088df8b5668">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char encryption::key[1024]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae447007bf70e69f8570be04ad882a00c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae447007bf70e69f8570be04ad882a00c">&#9670;&nbsp;</a></span>method</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a> encryption::method</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb17bb7036f070738ba589bd83bb487a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb17bb7036f070738ba589bd83bb487a">&#9670;&nbsp;</a></span>string</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char encryption::string[1024]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Sources/<a class="el" href="encrypt_8h_source.html">encrypt.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
